Bug 429885 - polkit-read-auth-helper denials break gdm
polkit-read-auth-helper denials break gdm
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-23 11:39 EST by Zack Cerza
Modified: 2008-01-30 14:09 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-30 14:09:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zack Cerza 2008-01-23 11:39:46 EST
Description of problem:
These denials appear to be causing gdm to simply display a black screen with a
cursor. I'm running in permissive right now, and it seems to fix the problem.

Version-Release number of selected component (if applicable):
selinux-policy-targeted-3.2.5-15.fc9
gdm-2.21.5-1.fc9
PolicyKit-0.7-4.fc9

How reproducible:
Always

Additional info:
host=tak type=AVC msg=audit(1201105448.656:228): avc: denied { getattr } for
pid=4938 comm="polkit-read-aut" scontext=system_u:system_r:hald_t:s0
tcontext=system_u:system_r:hald_t:s0 tclass=process 

host=tak type=SYSCALL msg=audit(1201105448.656:228): arch=40000003 syscall=3
success=yes exit=28 a0=4 a1=85bb5d0 a2=fff a3=fff items=0 ppid=2133 pid=4938
auid=4294967295 uid=68 gid=68 euid=68 suid=68 fsuid=68 egid=87 sgid=87 fsgid=87
tty=(none) comm="polkit-read-aut" exe="/usr/libexec/polkit-read-auth-helper"
subj=system_u:system_r:hald_t:s0 key=(null) 

host=tak type=AVC msg=audit(1201105448.718:230): avc: denied { read } for
pid=4938 comm="polkit-read-aut" name="user-zack.auths" dev=sda1 ino=131389
scontext=system_u:system_r:hald_t:s0
tcontext=unconfined_u:object_r:polkit_var_run_t:s0 tclass=file 

host=tak type=SYSCALL msg=audit(1201105448.718:230): arch=40000003 syscall=5
success=yes exit=4 a0=bfbd6fac a1=8000 a2=0 a3=8000 items=0 ppid=2133 pid=4938
auid=4294967295 uid=68 gid=68 euid=68 suid=68 fsuid=68 egid=87 sgid=87 fsgid=87
tty=(none) comm="polkit-read-aut" exe="/usr/libexec/polkit-read-auth-helper"
subj=system_u:system_r:hald_t:s0 key=(null) 

host=tak type=AVC msg=audit(1201105448.718:229): avc: denied { getattr } for
pid=4938 comm="polkit-read-aut" path="/var/run/PolicyKit/user-zack.auths"
dev=sda1 ino=131389 scontext=system_u:system_r:hald_t:s0
tcontext=unconfined_u:object_r:polkit_var_run_t:s0 tclass=file 

host=tak type=SYSCALL msg=audit(1201105448.718:229): arch=40000003 syscall=195
success=yes exit=0 a0=bfbd6fac a1=bfbd6e08 a2=2caff4 a3=bfbd6fac items=0
ppid=2133 pid=4938 auid=4294967295 uid=68 gid=68 euid=68 suid=68 fsuid=68
egid=87 sgid=87 fsgid=87 tty=(none) comm="polkit-read-aut"
exe="/usr/libexec/polkit-read-auth-helper" subj=system_u:system_r:hald_t:s0
key=(null) 

host=tak type=AVC msg=audit(1201104274.176:216): avc: denied { getattr } for
pid=3695 comm="polkit-read-aut" path="/var/run/PolicyKit/user-zack.auths"
dev=sda1 ino=131389 scontext=system_u:system_r:hald_acl_t:s0
tcontext=unconfined_u:object_r:polkit_var_run_t:s0 tclass=file 

host=tak type=SYSCALL msg=audit(1201104274.176:216): arch=40000003 syscall=195
success=yes exit=0 a0=bfb7795c a1=bfb777b8 a2=2caff4 a3=bfb7795c items=0
ppid=3673 pid=3695 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=87
sgid=87 fsgid=87 tty=(none) comm="polkit-read-aut"
exe="/usr/libexec/polkit-read-auth-helper" subj=system_u:system_r:hald_acl_t:s0
key=(null) 

host=tak type=AVC msg=audit(1201104274.177:217): avc: denied { read } for
pid=3695 comm="polkit-read-aut" name="user-zack.auths" dev=sda1 ino=131389
scontext=system_u:system_r:hald_acl_t:s0
tcontext=unconfined_u:object_r:polkit_var_run_t:s0 tclass=file 

host=tak type=SYSCALL msg=audit(1201104274.177:217): arch=40000003 syscall=5
success=yes exit=3 a0=bfb7795c a1=8000 a2=0 a3=8000 items=0 ppid=3673 pid=3695
auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=87 sgid=87 fsgid=87
tty=(none) comm="polkit-read-aut" exe="/usr/libexec/polkit-read-auth-helper"
subj=system_u:system_r:hald_acl_t:s0 key=(null) 

host=tak type=AVC msg=audit(1201104273.950:215): avc: denied { search } for
pid=3674 comm="polkit-read-aut" name="PolicyKit" dev=sda1 ino=131183
scontext=system_u:system_r:hald_acl_t:s0
tcontext=system_u:object_r:polkit_var_run_t:s0 tclass=dir 

host=tak type=SYSCALL msg=audit(1201104273.950:215): arch=40000003 syscall=195
success=no exit=-2 a0=bfa748ec a1=bfa74748 a2=2caff4 a3=bfa748ec items=0
ppid=3673 pid=3674 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=87
sgid=87 fsgid=87 tty=(none) comm="polkit-read-aut"
exe="/usr/libexec/polkit-read-auth-helper" subj=system_u:system_r:hald_acl_t:s0
key=(null)
Comment 1 Zack Cerza 2008-01-23 11:58:35 EST
By the way, the first AVC has happened 12 times according to setroubleshoot; the
second through fifth have happened 1 time each, and the sixth has happened...
2945 times.
Comment 2 Daniel Walsh 2008-01-24 14:37:30 EST
Fixed in selinux-policy-targeted-3.2.5-18.fc9

Note You need to log in before you can comment on or make changes to this bug.